## rtl-sdr 0.6.0

=== CMakeLists.txt ===
# Copyright 2012 OSMOCOM Project
#
# This file is part of rtl-sdr
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(rtlsdr C)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

if(NOT LIB_INSTALL_DIR)
   set(LIB_INSTALL_DIR lib)
endif()

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 0) # increment major on api compatibility changes
set(VERSION_INFO_MINOR_VERSION 6) # increment minor on feature-level changes
set(VERSION_INFO_PATCH_VERSION 0) # increment patch for bug fixes and docs
include(Version) # setup version info

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCC AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wno-unused-parameter)
    ADD_DEFINITIONS(-Wno-unused)
    ADD_DEFINITIONS(-Wsign-compare)
    ADD_DEFINITIONS(-Wdeclaration-after-statement)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
elseif(MSVC14 OR MSVC14)
#pthread-w32 issue, timespec is now part of time.h
    ADD_DEFINITIONS(-D_TIMESPEC_DEFINED)
endif()

########################################################################
# Find build dependencies
########################################################################
find_package(PkgConfig)
find_package(LibUSB)
if(WIN32 AND NOT MINGW)
    set(THREADS_USE_PTHREADS_WIN32 true)
endif()
find_package(Threads)

if(NOT LIBUSB_FOUND)
    message(FATAL_ERROR "LibUSB 1.0 required to compile rtl-sdr")
endif()
if(NOT THREADS_FOUND)
    message(FATAL_ERROR "pthreads(-win32) required to compile rtl-sdr")
endif()
########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${LIBUSB_INCLUDE_DIR}
    ${THREADS_PTHREADS_INCLUDE_DIR}
)

#link_directories(
#    ...
#)

# Set component parameters
#set(INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for RTL-SDR" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES rtl-sdr.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

option(DETACH_KERNEL_DRIVER "Detach kernel driver if loaded" OFF)
if (DETACH_KERNEL_DRIVER)
    message (STATUS "Building with kernel driver detaching enabled")
    add_definitions(-DDETACH_KERNEL_DRIVER=1)
else (DETACH_KERNEL_DRIVER)
    message (STATUS "Building with kernel driver detaching disabled, use -DDETACH_KERNEL_DRIVER=ON to enable")
endif (DETACH_KERNEL_DRIVER)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include)
add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND RTLSDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

FOREACH(lib ${LIBUSB_LIBRARY_DIRS})
    LIST(APPEND RTLSDR_PC_LIBS "-L${lib}")
ENDFOREACH(lib)

# use space-separation format for the pc file
STRING(REPLACE ";" " " RTLSDR_PC_CFLAGS "${RTLSDR_PC_CFLAGS}")
STRING(REPLACE ";" " " RTLSDR_PC_LIBS "${RTLSDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(RTLSDR_PC_CFLAGS)
    UNSET(RTLSDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/${LIB_INSTALL_DIR})
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/librtlsdr.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
)

########################################################################
# Print Summary
########################################################################
MESSAGE(STATUS "Building for version: ${VERSION} / ${LIBVER}")
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
rtl-sdr (0.6.0-4) unstable; urgency=medium

  * update to v0.6.0-33-g2659e2d (Debian patches in upstream)
  * remove old libusb workaround

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Jan 2022 14:44:57 -0500

rtl-sdr (0.6.0-3) unstable; urgency=medium

  * update to 0.6.0-13-g1dff8e0
    lib: enable better UHF reception (>862MHz) for FC0013

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 18 Feb 2020 22:38:37 -0500

rtl-sdr (0.6.0-2) unstable; urgency=medium

  * update to 0.6.0-12-gbe2e4f8
  * Enable usbfs zero-copy support

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 02 Feb 2020 17:23:36 -0500

rtl-sdr (0.6.0-1) unstable; urgency=medium

  * update to 0.6.0-11-gb5af355
    ...now with rtl_biast

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 05 Jan 2020 15:54:08 -0500

rtl-sdr (0.6-4) unstable; urgency=medium

  * update dh compat
  * use libusb-1.0 on Hurd, thanks for patch Pino! (Closes: #940990)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 23 Sep 2019 15:13:54 -0400

rtl-sdr (0.6-3) unstable; urgency=medium

  * refactor to use CMake GNUInstallDirs variables (Closes: #939800)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 Sep 2019 16:46:58 -0500

=== debian/control ===
Source: rtl-sdr
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
	       pkg-config
Standards-Version: 4.5.0
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-rtl-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-rtl-sdr.git

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: librtlsdr0 (= ${binary:Version}),
         libusb-1.0-0-dev [!kfreebsd-any],
         libusb2-dev [kfreebsd-any],
         ${misc:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (development)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.

Package: librtlsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: rtl-sdr
Architecture: any
Depends: librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
 git://git.osmocom.org/rtl-sdr.git \
 refs/tags/([\d\.]+) debian uupdate

## rtl-sdr 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,45 +1,48 @@
-# Copyright 2012 OSMOCOM Project
+# Copyright 2012-2020 Osmocom Project
 #
 # This file is part of rtl-sdr
 #
-# GNU Radio is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3, or (at your option)
-# any later version.
-#
-# GNU Radio is distributed in the hope that it will be useful,
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with GNU Radio; see the file COPYING.  If not, write to
-# the Free Software Foundation, Inc., 51 Franklin Street,
-# Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
 ########################################################################
 # Project setup
 ########################################################################
-cmake_minimum_required(VERSION 2.6)
-project(rtlsdr C)
+cmake_minimum_required(VERSION 3.7.2)
+
+# workaround for https://gitlab.kitware.com/cmake/cmake/issues/16967
+if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
+    project(rtlsdr)
+else()
+    project(rtlsdr C)
+endif()
 
 #select the release build type by default to get optimization flags
 if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
    message(STATUS "Build type not specified: defaulting to release.")
 endif(NOT CMAKE_BUILD_TYPE)
-set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")
-
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)
-
-if(NOT LIB_INSTALL_DIR)
-   set(LIB_INSTALL_DIR lib)
-endif()
+
+list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)
+
+include(GNUInstallDirs)
+include(GenerateExportHeader)
+include(CMakePackageConfigHelpers)
 
 # Set the version information here
-set(VERSION_INFO_MAJOR_VERSION 0) # increment major on api compatibility changes
-set(VERSION_INFO_MINOR_VERSION 6) # increment minor on feature-level changes
+set(VERSION_INFO_MAJOR_VERSION 2) # increment major on api compatibility changes
+set(VERSION_INFO_MINOR_VERSION 0) # increment minor on feature-level changes
 set(VERSION_INFO_PATCH_VERSION 0) # increment patch for bug fixes and docs
 include(Version) # setup version info
 
@@ -63,40 +66,36 @@
 ########################################################################
 # Find build dependencies
 ########################################################################
+find_package(Threads)
 find_package(PkgConfig)
-find_package(LibUSB)
-if(WIN32 AND NOT MINGW)
-    set(THREADS_USE_PTHREADS_WIN32 true)
-endif()
-find_package(Threads)
-
-if(NOT LIBUSB_FOUND)
+
+if(PKG_CONFIG_FOUND)
+    pkg_check_modules(LIBUSB libusb-1.0 IMPORTED_TARGET)
+else()
+    set(LIBUSB_LIBRARIES "" CACHE STRING "manual libusb path")
+    set(LIBUSB_INCLUDE_DIRS "" CACHE STRING "manual libusb includepath")
+endif()
+
+if(MSVC)
+    set(THREADS_PTHREADS_LIBRARY "" CACHE STRING "manual pthread-win32 path")
+    set(THREADS_PTHREADS_INCLUDE_DIR "" CACHE STRING "manual pthread-win32 includepath")
+else()
+    set(THREADS_PTHREADS_LIBRARY "" CACHE INTERNAL "manual pthread-win32 path")
+    set(THREADS_PTHREADS_INCLUDE_DIR "" CACHE INTERNAL "manual pthread-win32 includepath")
+endif()
+
+if(PKG_CONFIG_FOUND AND NOT LIBUSB_FOUND)
     message(FATAL_ERROR "LibUSB 1.0 required to compile rtl-sdr")
 endif()
 if(NOT THREADS_FOUND)
     message(FATAL_ERROR "pthreads(-win32) required to compile rtl-sdr")
 endif()
-########################################################################
-# Setup the include and linker paths
-########################################################################
-include_directories(
-    ${CMAKE_SOURCE_DIR}/include
-    ${LIBUSB_INCLUDE_DIR}
-    ${THREADS_PTHREADS_INCLUDE_DIR}
-)
-
-#link_directories(
-#    ...
-#)
-
-# Set component parameters
-#set(INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
 
 ########################################################################
 # Create uninstall target
 ########################################################################
 configure_file(
-    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
+    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
     ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 @ONLY)
 
@@ -126,16 +125,32 @@
     message (STATUS "Building with kernel driver detaching disabled, use -DDETACH_KERNEL_DRIVER=ON to enable")
 endif (DETACH_KERNEL_DRIVER)
 
+option(ENABLE_ZEROCOPY "Enable usbfs zero-copy support" OFF)
+if (ENABLE_ZEROCOPY)
+    message (STATUS "Building with usbfs zero-copy support enabled")
+    add_definitions(-DENABLE_ZEROCOPY=1)
+else (ENABLE_ZEROCOPY)
+    message (STATUS "Building with usbfs zero-copy support disabled, use -DENABLE_ZEROCOPY=ON to enable")
+endif (ENABLE_ZEROCOPY)
+
+########################################################################
+# Install public header files
+########################################################################
+install(FILES
+    include/rtl-sdr.h
+    include/rtl-sdr_export.h
+    DESTINATION include
+)
+
 ########################################################################
 # Add subdirectories
 ########################################################################
-add_subdirectory(include)
 add_subdirectory(src)
 
 ########################################################################
 # Create Pkg Config File
 ########################################################################
-FOREACH(inc ${LIBUSB_INCLUDE_DIR})
+FOREACH(inc ${LIBUSB_INCLUDEDIR})
     LIST(APPEND RTLSDR_PC_CFLAGS "-I${inc}")
 ENDFOREACH(inc)
 
@@ -153,10 +168,10 @@
     UNSET(RTLSDR_PC_LIBS)
 ENDIF(CMAKE_CROSSCOMPILING)
 
-set(prefix ${CMAKE_INSTALL_PREFIX})
+set(prefix "${CMAKE_INSTALL_PREFIX}")
 set(exec_prefix \${prefix})
-set(libdir \${exec_prefix}/${LIB_INSTALL_DIR})
 set(includedir \${prefix}/include)
+set(libdir \${exec_prefix}/lib)
 
 CONFIGURE_FILE(
     ${CMAKE_CURRENT_SOURCE_DIR}/librtlsdr.pc.in
@@ -165,8 +180,36 @@
 
 INSTALL(
     FILES ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
-    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
 )
+
+########################################################################
+# Create CMake Config File
+########################################################################
+write_basic_package_version_file(
+  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfigVersion.cmake"
+  VERSION ${VERSION}
+  COMPATIBILITY AnyNewerVersion
+  )
+
+configure_file(cmake/rtlsdrConfig.cmake
+  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfig.cmake"
+  COPYONLY
+  )
+
+set(ConfigPackageLocation lib/cmake/rtlsdr)
+install(EXPORT RTLSDR-export
+  FILE rtlsdrTargets.cmake
+  NAMESPACE rtlsdr::
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtlsdr/
+  )
+install(
+  FILES
+  cmake/rtlsdrConfig.cmake
+  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfigVersion.cmake"
+  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtlsdr/
+  COMPONENT Devel
+  )
 
 ########################################################################
 # Print Summary

=== debian/changelog ===
rtl-sdr (2.0.0) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom latest feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 02 Nov 2023 20:54:25 +0000

rtl-sdr (0.6) unstable; urgency=medium

  * New upstream release
  * with modernize-cmake patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 06 Oct 2018 20:28:26 -0400

## rtl-sdr 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 2) # increment major on api compatibility changes
 set(VERSION_INFO_MINOR_VERSION 0) # increment minor on feature-level changes
-set(VERSION_INFO_PATCH_VERSION 0) # increment patch for bug fixes and docs
+set(VERSION_INFO_PATCH_VERSION 1) # increment patch for bug fixes and docs
 include(Version) # setup version info
 
 ########################################################################

=== src/CMakeLists.txt ===
# Copyright 2012-2020 Osmocom Project
#
# This file is part of rtl-sdr
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

########################################################################
# Setup shared library variant
########################################################################
add_library(rtlsdr SHARED librtlsdr.c
  tuner_e4k.c tuner_fc0012.c tuner_fc0013.c tuner_fc2580.c tuner_r82xx.c)
target_link_libraries(rtlsdr ${LIBUSB_LIBRARIES} ${THREADS_PTHREADS_LIBRARY})
target_include_directories(rtlsdr PUBLIC
  $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>  # <prefix>/include
  ${LIBUSB_INCLUDE_DIRS}
  ${THREADS_PTHREADS_INCLUDE_DIR}
  )
set_target_properties(rtlsdr PROPERTIES DEFINE_SYMBOL "rtlsdr_EXPORTS")
set_target_properties(rtlsdr PROPERTIES OUTPUT_NAME rtlsdr)
set_target_properties(rtlsdr PROPERTIES SOVERSION ${MAJOR_VERSION})
set_target_properties(rtlsdr PROPERTIES VERSION ${LIBVER})
generate_export_header(rtlsdr)

########################################################################
# Setup static library variant
########################################################################
add_library(rtlsdr_static STATIC librtlsdr.c
  tuner_e4k.c tuner_fc0012.c tuner_fc0013.c tuner_fc2580.c tuner_r82xx.c)
target_link_libraries(rtlsdr ${LIBUSB_LIBRARIES} ${THREADS_PTHREADS_LIBRARY})
target_include_directories(rtlsdr_static PUBLIC
  $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>  # <prefix>/include
  ${LIBUSB_INCLUDE_DIRS}
  ${THREADS_PTHREADS_INCLUDE_DIR}
  )
set_property(TARGET rtlsdr_static APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
if(NOT WIN32)
# Force same library filename for static and shared variants of the library
set_target_properties(rtlsdr_static PROPERTIES OUTPUT_NAME rtlsdr)
endif()
generate_export_header(rtlsdr_static)

########################################################################
# Set up Windows DLL resource files
########################################################################
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/Version.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/rtlsdr.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/rtlsdr.rc
    @ONLY)
  target_sources(rtlsdr PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/rtlsdr.rc)
  target_sources(rtlsdr_static PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/rtlsdr.rc)
ENDIF(MSVC)

########################################################################
# Setup libraries used in executables
########################################################################
add_library(convenience_static STATIC
    convenience/convenience.c
)
target_include_directories(convenience_static
  PRIVATE ${CMAKE_SOURCE_DIR}/include)
if(WIN32)
add_library(libgetopt_static STATIC
    getopt/getopt.c
)
target_link_libraries(convenience_static
    rtlsdr
)
endif()

########################################################################
# Build utility
########################################################################
add_executable(rtl_sdr rtl_sdr.c)
add_executable(rtl_tcp rtl_tcp.c)
add_executable(rtl_test rtl_test.c)
add_executable(rtl_fm rtl_fm.c)
add_executable(rtl_eeprom rtl_eeprom.c)
add_executable(rtl_adsb rtl_adsb.c)
add_executable(rtl_power rtl_power.c)
add_executable(rtl_biast rtl_biast.c)
set(INSTALL_TARGETS rtlsdr rtlsdr_static rtl_sdr rtl_tcp rtl_test rtl_fm rtl_eeprom rtl_adsb rtl_power rtl_biast)

target_link_libraries(rtl_sdr rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_tcp rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_test rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_fm rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_eeprom rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_adsb rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_power rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
target_link_libraries(rtl_biast rtlsdr convenience_static
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)
if(UNIX)
target_link_libraries(rtl_fm m)
target_link_libraries(rtl_adsb m)
target_link_libraries(rtl_power m)
if(APPLE OR CMAKE_SYSTEM MATCHES "OpenBSD")
    target_link_libraries(rtl_test m)
else()
    target_link_libraries(rtl_test m rt)
endif()
endif()

if(WIN32)
target_link_libraries(rtl_sdr libgetopt_static)
target_link_libraries(rtl_tcp ws2_32 libgetopt_static)
target_link_libraries(rtl_test libgetopt_static)
target_link_libraries(rtl_fm libgetopt_static)
target_link_libraries(rtl_eeprom libgetopt_static)
target_link_libraries(rtl_adsb libgetopt_static)
target_link_libraries(rtl_power libgetopt_static)
target_link_libraries(rtl_biast libgetopt_static)
set_property(TARGET rtl_sdr APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_tcp APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_test APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_fm APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_eeprom APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_adsb APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_power APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
set_property(TARGET rtl_biast APPEND PROPERTY COMPILE_DEFINITIONS "rtlsdr_STATIC" )
endif()
########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS rtlsdr EXPORT RTLSDR-export
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} # .so/.dylib file
  )
install(TARGETS rtlsdr_static EXPORT RTLSDR-export
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} # .so/.dylib file
  )
install(TARGETS rtl_sdr rtl_tcp rtl_test rtl_fm rtl_eeprom rtl_adsb rtl_power rtl_biast
  DESTINATION ${CMAKE_INSTALL_BINDIR}
  )

=== debian/changelog ===
rtl-sdr (2.0.1-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:50:54 +0200

rtl-sdr (2.0.1-2) unstable; urgency=medium

  * upload to unstable
  * keeping udev handling in case a bookworm-backports happens
  * debian/rules takes upstream default for arm/arm64 (Closes: #1041701)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Dec 2023 22:07:19 -0500

rtl-sdr (2.0.1-1) experimental; urgency=medium

  * New upstream release.

  [ Chris Boot ]
  * DEP17: Install udev rules into /usr, with (M10) protective diversion
    against possible file loss as exhibited by Multi-Arch: same packages (P7).
    Diversion code can be removed in forky+1. (Closes: #1056712)

  [ A. Maitland Bottoms ]
  * Apply lintian fixes from the Janitor
    Remove 1 obsolete maintscript entry.
    Set debhelper-compat version in Build-Depends.
    Set upstream metadata fields: Repository.
    Fix day-of-week for changelog entry 0.6~git.
  * Update watch file to follow project to gitea.osmocom.org
  * update to v2.0.1-1-g448a655
  * upload to experimental for soversion bump and for #1057190

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Dec 2023 16:59:23 -0500

rtl-sdr (0.6.0-5) unstable; urgency=medium

  * update to 0.6.0-36-g1261fbb
    Fix-signal-handler-from-getting-stuck-in-an-endless-loop
    add-rtl-sdr-blog-v4-support (Closes: #1050345)
  * Update Standards-Version (no changes)
  * Disabling zerocopy on arm awaiting better fix for #1041701

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 24 Aug 2023 23:00:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: rtl-sdr
 Section: comm
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 12~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+# Warning: see README.source before back-porting this package
+Build-Depends: base-files (>= 13~),
+               cmake,
+               debhelper-compat (= 13),
+               dh-sequence-movetousr,
                libusb-1.0-0-dev [!kfreebsd-any],
                libusb2-dev [kfreebsd-any],
 	       pkg-config
-Standards-Version: 4.5.0
-Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
+Standards-Version: 4.6.2
+Homepage: https://osmocom.org/projects/rtl-sdr
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-rtl-sdr
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-rtl-sdr.git
 
@@ -16,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: librtlsdr0 (= ${binary:Version}),
+Depends: librtlsdr2 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -27,7 +31,7 @@
  .
  This package contains development files.
 
-Package: librtlsdr0
+Package: librtlsdr2
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -41,7 +45,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: librtlsdr2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_ZEROCOPY_OPTION=ON
DEB_ZEROCOPY_OPTION=$(shell if [ $(DEB_BUILD_ARCH) = arm64 ] || [ $(DEB_BUILD_ARCH) = armel ] || [ $(DEB_BUILD_ARCH) = armhf ]; then echo "OFF" ; else echo "ON" ; fi)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure: debian/librtlsdr2.udev
	dh_auto_configure --buildsystem=cmake -- -DDETACH_KERNEL_DRIVER=ON \
						 -DENABLE_ZEROCOPY=$DEB_ZEROCOPY_OPTION \
						 -DINSTALL_UDEV_RULES=ON \
						 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
						 -DCMAKE_VERBOSE_MAKEFILE=ON

debian/librtlsdr2.udev: rtl-sdr.rules
	cp -p rtl-sdr.rules debian/librtlsdr2.udev

override_dh_acc:
	- dh_acc
	- cat debian/librtlsdr-dev/usr/lib/x86_64-linux-gnu/dh-acc/librtlsdr-dev_*_report.html

## rtl-sdr 2.0.1.3.b85f0.202312142026

=== debian/changelog ===
rtl-sdr (2.0.1.3.b85f0.202312142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 14 Dec 2023 20:27:06 +0000

rtl-sdr (2.0.1) unstable; urgency=medium

  * debian/changelog: update for 2.0.0 and 2.0.1
  * gitignore: add files created by autotools

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 03 Nov 2023 10:19:41 +0100

=== debian/control ===
Source: rtl-sdr
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
	       pkg-config
Standards-Version: 4.1.4
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-rtl-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-rtl-sdr.git

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202312142026), librtlsdr0 (= ${binary:Version}),
         libusb-1.0-0-dev [!kfreebsd-any],
         libusb2-dev [kfreebsd-any],
         ${misc:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (development)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.

Package: librtlsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202312142026), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: rtl-sdr
Architecture: any
Depends: osmocom-nightly (= 202312142026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

## rtl-sdr 2.0.1.3.b85f0.202312152026

=== debian/changelog ===
rtl-sdr (2.0.1.3.b85f0.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:27:07 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312142026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312152026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312142026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312142026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312152026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.3.b85f0.202312182026

=== debian/changelog ===
rtl-sdr (2.0.1.3.b85f0.202312182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 18 Dec 2023 20:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312152026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312182026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312152026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312182026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.3.b85f0.202312222026

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,6 +71,7 @@
 
 if(PKG_CONFIG_FOUND)
     pkg_check_modules(LIBUSB libusb-1.0 IMPORTED_TARGET)
+    set(LIBUSB_LIBRARIES "${LIBUSB_LINK_LIBRARIES}")
 else()
     set(LIBUSB_LIBRARIES "" CACHE STRING "manual libusb path")
     set(LIBUSB_INCLUDE_DIRS "" CACHE STRING "manual libusb includepath")

=== debian/changelog ===
rtl-sdr (2.0.1.3.b85f0.202312222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 22 Dec 2023 20:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312182026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312222026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312182026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312182026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312222026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.4.af33.202312242026

=== debian/changelog ===
rtl-sdr (2.0.1.4.af33.202312242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 24 Dec 2023 20:27:07 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312222026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312242026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312222026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312222026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312242026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.4.af33.202312252026

=== debian/changelog ===
rtl-sdr (2.0.1.4.af33.202312252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 25 Dec 2023 20:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312242026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312252026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312242026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312252026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.4.af33.202312262026

=== debian/changelog ===
rtl-sdr (2.0.1.4.af33.202312262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 26 Dec 2023 20:27:10 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312252026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312262026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312252026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312262026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.4.af33.202312272026

=== debian/changelog ===
rtl-sdr (2.0.1.4.af33.202312272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 27 Dec 2023 20:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312262026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312272026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312262026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312272026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.4.af33.202312282026

=== debian/changelog ===
rtl-sdr (2.0.1.4.af33.202312282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 28 Dec 2023 20:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312272026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312282026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312272026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312282026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.1.4.af33.202312292026

=== debian/changelog ===
rtl-sdr (2.0.1.4.af33.202312292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 29 Dec 2023 20:27:07 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312282026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202312292026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202312282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312292026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202312282026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202312292026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
